data:extend({
  {
    type = "generator-equipment",

    name = "Minovsky-reactor-equipment",

    sprite =

    {

      filename = "__Mobile-suit__/graphics/equipment/minovsky-reactor-equipment.png",

      width = 256,

      height = 256,

      priority = "medium"

    },

    shape =

    {

      width = 8,

      height = 8,

      type = "full"

    },

    energy_source =

    {

      type = "electric",

      usage_priority = "primary-output"

    },

    power = "35000kW"

  },

  {
    type = "energy-shield-equipment",

    name = "I-Field-generator-equipment",

    sprite =

    {

      filename = "__Mobile-suit__/graphics/equipment/i-field-generator-equipment.png",

      width = 128,

      height = 128,

      priority = "medium"

    },

    shape =

    {

      width = 4,

      height = 4,

      type = "full"

    },

    max_shield_value = 5000,

    energy_source =

    {

      type = "electric",

      buffer_capacity = "50000kJ",

      input_flow_limit = "50000kW",

      usage_priority = "primary-input"

    },

    energy_per_shield = "100kJ"

  },
  {
    type = "active-defense-equipment",

    name = "Mega-particle-Cannon-equipment",

    sprite =

    {

      filename = "__Mobile-suit__/graphics/equipment/mega-particle-cannon-equipment.png",

      width = 128,

      height = 128,

      priority = "medium"

    },

    shape =

    {

      width = 4,

      height = 4,

      type = "full"

    },

    energy_source =

    {

      type = "electric",

      usage_priority = "secondary-input",

      buffer_capacity = "50000kJ"

    },

    attack_parameters =

    {

      type = "beam",

      ammo_category = "Mega-particle-Cannon",

      cooldown = 120,

      damage_modifier = 50,

      range = 60,

      ammo_type =

      {

        category = "Mega-particle-Cannon",

        energy_consumption = "10000kJ",

        action =

        {

          type = "direct",

          action_delivery =

          {

            type = "beam",

            beam = "Mega-particle-Cannon-beam",

            max_length = 60,

            duration = 60 * 2,

            source_offset = {0.15, -0.5},

          }

        }

      }
    },

    automatic = true
  },

  {
    type = "active-defense-equipment",

    name = "Diffusion-Mega-particle-Cannon-equipment",

    sprite =

    {

      filename = "__Mobile-suit__/graphics/equipment/diffusion-mega-particle-cannon-equipment.png",

      width = 128,

      height = 128,

      priority = "medium"

    },

    shape =

    {

      width = 4,

      height = 4,

      type = "full"

    },

    energy_source =

    {

      type = "electric",

      usage_priority = "secondary-input",

      buffer_capacity = "50000kJ"

    },

    attack_parameters =

    {

      type = "projectile",

      ammo_category = "Mega-particle-Cannon",

      damage_modifier = 20,

      cooldown = 2,

      range = 20,

      ammo_type =

      {

        category = "Mega-particle-Cannon",

        energy_consumption = "10000kJ",

        action =

        {

          type = "area",

          perimeter = 20,

          force = "enemy",

          action_delivery =

          {

            type = "beam",

            beam = "Diffusion-Mega-particle-Cannon-beam",

            max_length = 20,

            duration = 60 * 2,

            source_offset = {0.15, -0.5},

          }

        }

      }

    },

    automatic = true

  },

  {
    type = "movement-bonus-equipment",

    name = "Fieldmotor-equipment",

    sprite =

    {

      filename = "__Mobile-suit__/graphics/equipment/fieldmotor-equipment.png",

      width = 128,

      height = 128,

      priority = "medium"

    },

    shape =

    {

      width = 4,

      height = 4,

      type = "full"

    },

    energy_source =

    {

      type = "electric",

      usage_priority = "secondary-input"

    },

    energy_consumption = "5000kW",

    movement_bonus = 1.0

  },
  {
    type = "active-defense-equipment",

    name = "Funnel-Bit-catapult-equipment",

    sprite =

    {

      filename = "__Mobile-suit__/graphics/equipment/funnel-bit-catapult-equipment.png",

      width = 128,

      height = 128,

      priority = "medium"

    },

    shape =

    {

      width = 4,

      height = 4,

      type = "full"

    },

    energy_source =

    {

      type = "electric",

      usage_priority = "secondary-input",

      buffer_capacity = "5000kJ"

    },

    attack_parameters =

    {

      type = "projectile",

      ammo_category = "electric",

      cooldown = 90,

      damage_modifier = 100,

      projectile_center = {0, 0},

      projectile_creation_distance = 0.6,

      range = 40,

      sound = make_laser_sounds(),

      ammo_type =

      {

        type = "projectile",

        category = "electric",

        energy_consumption = "1000kJ",

        projectile = "Funnel-Bit-catapult",

        speed = 1,

        action =

        {

          {

            type = "direct",

            action_delivery =

            {

              {

                type = "projectile",

                projectile = "Funnel-Bit-catapult",

                starting_speed = 0.28

              }

            }

          }

        }

      }

    },

    automatic = true

  }

}
)

