data:extend
({
  {
    type = "armor",

    name = "Mobile-suit",

    icon = "__Mobile-suit__/graphics/icons/mobile-suit.png",

    flags = {"goes-to-main-inventory"},

    resistances =

    {

      {
        type = "physical",
        decrease = 100,
        percent = 90
      },

      {
        type = "acid",
        decrease = 100,
        percent = 90
      },

      {
        type = "explosion",

        percent = 100
      }

    },

    durability = 100000,

    subgroup = "munitions",

    order = "d[combat]-d[armor]-f[Mobile-suit]",

    stack_size = 1,

    equipment_grid = {width = 20, height = 20}
  },
  {

    type = "gun",

    name = "ZAKU-Machine-gun",

    icon = "__Mobile-suit__/graphics/icons/zaku-machine-gun.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "munitions",

    order = "d[combat]-a[gun]-a[ZAKU-Machine-gun]",

    attack_parameters =
    {

      type = "projectile",

      ammo_category = "ZAKU-Machine-gun",

      cooldown = 2,

      movement_slow_down_factor = 0.2,

      shell_particle =

      {

        name = "shell-particle",

        direction_deviation = 0.1,

        speed = 0.1,

        speed_deviation = 0.03,

        center = {0, 0.1},

        creation_distance = -0.5,

        starting_frame_speed = 0.4,

        starting_frame_speed_deviation = 0.1

      },

      projectile_creation_distance = 1.125,

      range = 30,

      sound = make_light_gunshot_sounds(),

    },

    stack_size = 1

  },

  {

    type = "gun",

    name = "ZAKU-Bazooka",

    icon = "__Mobile-suit__/graphics/icons/zaku-bazooka.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "munitions",

    order = "d[combat]-a[gun]-b[ZAKU-Bazooka]",

    attack_parameters =

    {

      type = "projectile",

      ammo_category = "ZAKU-Bazooka",

      movement_slow_down_factor = 0.4,

      cooldown = 60,

      projectile_creation_distance = 0.6,

      range = 60,

      projectile_center = {-0.17, 0},

      sound =

      {

        {

          filename = "__base__/sound/fight/rocket-launcher.ogg",

          volume = 0.7

        }

      }

    },

    stack_size = 1

  },

  {

    type = "gun",

    name = "Rocket-launcher-pod",

    icon = "__Mobile-suit__/graphics/icons/rocket-launcher-pod.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "munitions",

    order = "d[combat]-a[gun]-c[Rocket-launcher-pod]",

    attack_parameters =

    {

      type = "projectile",

      ammo_category = "Rocket-launcher-pod",

      movement_slow_down_factor = 0.6,

      cooldown = 2,

      projectile_creation_distance = 0.6,


      damage_modifier = 2,
      range = 60,

      projectile_center = {-0.17, 0},

      sound =

      {

        {

          filename = "__base__/sound/fight/rocket-launcher.ogg",

          volume = 0.7

        }

      }

    },

    stack_size = 1

  },

  {

    type = "gun",

    name = "Beam-rifle",

    icon = "__Mobile-suit__/graphics/icons/beam-rifle.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "munitions",

    order = "d[combat]-a[gun]-d[Beam-rifle]",

    attack_parameters =

    {

      type = "beam",

      ammo_category = "Mega-particle-Cannon",

      damage_modifier = 50,

      cooldown = 60,

      range = 80,

    },

    stack_size = 1

  },

  {

    type = "ammo",

    name = "ZAKU-Machine-gun-APHE-bullet-magazine",

    icon = "__Mobile-suit__/graphics/icons/zaku-machine-gun-aphe-bullet-magazine.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "ZAKU-Machine-gun",

      action =

      {

        type = "direct",

        action_delivery =

        {

          type = "projectile",

          projectile = "ZAKU-Machine-gun-APHE-bullet-projectile",

          starting_speed = 1,

          direction_deviation = 0.1,

          range_deviation = 0.1,

          max_range = 30,

          source_effects =

          {

            type = "create-explosion",

            entity_name = "explosion-gunshot"

          },

        }

      },

    },

    magazine_size = 120,

    subgroup = "munitions",

    order = "d[combat]-b[ammo]-a[ZAKU-Machine-gun-APHE-bullet-magazine]",

    stack_size = 100

  },

  {

    type = "ammo",

    name = "ZAKU-Machine-gun-Toxic-gas-bullet-magazine",

    icon = "__Mobile-suit__/graphics/icons/zaku-machine-gun-toxic-gas-bullet-magazine.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "ZAKU-Machine-gun",

      target_type = "direction",

      action =

      {

        type = "direct",

        action_delivery =

        {

          type = "projectile",

          projectile = "ZAKU-Machine-gun-Toxic-gas-bullet-projectile",

          starting_speed = 1,

          direction_deviation = 0.5,

          range_deviation = 0.5,

          max_range = 30,

          source_effects =

          {

            type = "create-explosion",

            entity_name = "explosion-gunshot"

          },

        }

      },

    },

    magazine_size = 120,

    subgroup = "munitions",

    order = "d[combat]-b[ammo]-b[ZAKU-Machine-gun-Toxic-gas-bullet-magazine]",

    stack_size = 100

  },

  {

    type = "ammo",

    name = "ZAKU-Bazooka-HE-rocket",

    icon = "__Mobile-suit__/graphics/icons/zaku-bazooka-he-rocket.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "ZAKU-Bazooka",

      target_type = "direction",

      action =

      {

        type = "direct",

        action_delivery =

        {

          type = "projectile",

          projectile = "ZAKU-Bazooka-HE-rocket-projectile",

          starting_speed = 0.1,

          source_effects =

          {

            type = "create-entity",

            entity_name = "explosion-hit"

          }

        }

      }

    },

    subgroup = "munitions",

    order = "d[combat]-b[ammo]-c[ZAKU-Bazooka-HE-rocket]",

    stack_size = 100

  },

  {

    type = "ammo",

    name = "ZAKU-Bazooka-cluster-rocket",

    icon = "__Mobile-suit__/graphics/icons/zaku-bazooka-cluster-rocket.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "ZAKU-Bazooka",

      target_type = "direction",

      action =

      {

        type = "direct",


        repeat_count = 100,
        action_delivery =

        {

          type = "projectile",

          projectile = "explosive-rocket",

          starting_speed = 0.1,


          direction_deviation = 0.3,

          range_deviation = 1,
          source_effects =

          {

            type = "create-entity",

            entity_name = "explosion-hit"

          }

        }

      }

    },

    subgroup = "munitions",

    order = "d[combat]-b[ammo]-d[ZAKU-Bazooka-cluster-rocket]",

    stack_size = 100

  },

  {

    type = "ammo",

    name = "ZAKU-Bazooka-nuclear-rocket",

    icon = "__Mobile-suit__/graphics/icons/zaku-bazooka-nuclear-rocket.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "ZAKU-Bazooka",

      target_type = "direction",

      action =

      {

        type = "direct",

        action_delivery =

        {

          type = "projectile",

          projectile = "ZAKU-Bazooka-nuclear-rocket-projectile",

          starting_speed = 0.1,

          source_effects =

          {

            type = "create-entity",

            entity_name = "explosion-hit"

          }

        }

      }

    },

    subgroup = "munitions",

    order = "d[combat]-b[ammo]-e[ZAKU-Bazooka-nuclear-rocket]",

    stack_size = 100

  },

  {

    type = "ammo",

    name = "Rocket-container",

    icon = "__Mobile-suit__/graphics/icons/rocket-container.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "Rocket-launcher-pod",

      target_type = "direction",

      action =

      {

        type = "direct",

        action_delivery =

        {

          type = "projectile",

          projectile = "explosive-rocket",

          starting_speed = 0.1,


          direction_deviation = 0.3,

          range_deviation = 1,
          source_effects =

          {

            type = "create-entity",

            entity_name = "explosion-hit"

          }

        }

      }

    },

    magazine_size = 100,

    subgroup = "munitions",

    order = "d[combat]-b[ammo]-f[Rocket-container]",

    stack_size = 100

  },

  {

    type = "ammo",

    name = "Beam-rifle-cartridge",

    icon = "__Mobile-suit__/graphics/icons/beam-rifle-cartridge.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "Mega-particle-Cannon",

      action =

      {

        type = "direct",

        action_delivery =

        {

            type = "beam",

            beam = "Diffusion-Mega-particle-Cannon-beam",

            max_length = 80,

            duration = 60 * 2,

            source_offset = {0.15, -0.5},

        }

      },

    },

    magazine_size = 15,

    subgroup = "munitions",

    order = "d[combat]-b[ammo]-g[Beam-rifle-cartridge]",

    stack_size = 100

  },

  {

    type = "mining-tool",

    name = "Heat-axe",

    icon = "__Mobile-suit__/graphics/icons/heat-axe.png",

    flags = {"goes-to-main-inventory"},

    action =

    {

      type="direct",

      action_delivery =

      {

        type = "instant",

        target_effects =

        {

            type = "damage",

            damage = { amount = 5000 , type = "fire"}

        }

      }

    },

    durability = 100000,

    subgroup = "munitions",

    order = "d[combat]-g[melee]-a[Heat-axe]",

    speed = 100,

    stack_size = 20

  },
  {
    type = "item",

    name = "Minovsky-reactor-equipment",

    icon = "__Mobile-suit__/graphics/icons/minovsky-reactor-equipment.png",

    placed_as_equipment_result = "Minovsky-reactor-equipment",

    flags = {"goes-to-main-inventory"},

    subgroup = "munitions",

    order = "e[equipment]-a[energy-source]-a[Minovsky-reactor-equipment]",

    stack_size = 20
    
  },
  {
    type = "item",

    name = "I-Field-generator-equipment",

    icon = "__Mobile-suit__/graphics/icons/i-field-generator-equipment.png",

    placed_as_equipment_result = "I-Field-generator-equipment",

    flags = {"goes-to-main-inventory"},

    subgroup = "munitions",

    order = "d[combat]-e[equipment]-b[shield]-a[I-Field-generator-equipment]",

    stack_size = 50,

    default_request_amount = 10

    
  },
  {
    type = "item",

    name = "Mega-particle-Cannon-equipment",

    icon = "__Mobile-suit__/graphics/icons/mega-particle-cannon-equipment.png",

    placed_as_equipment_result = "Mega-particle-Cannon-equipment",

    flags = {"goes-to-main-inventory"},

    subgroup = "munitions",

    order = "d[combat]-e[equipment]-c[active-defense]-a[Mega-particle-Cannon-equipment]",

    stack_size = 20
  },
  {
    type = "item",

    name = "Diffusion-Mega-particle-Cannon-equipment",

    icon = "__Mobile-suit__/graphics/icons/diffusion-mega-particle-cannon-equipment.png",

    placed_as_equipment_result = "Diffusion-Mega-particle-Cannon-equipment",

    flags = {"goes-to-main-inventory"},

    subgroup = "munitions",

    order = "d[combat]-e[equipment]-c[active-defense]-b[Diffusion-Mega-particle-Cannon-equipment]",

    stack_size = 20

  },
  {
    type = "item",

    name = "Fieldmotor-equipment",

    icon = "__Mobile-suit__/graphics/icons/fieldmotor-equipment.png",

    placed_as_equipment_result = "Fieldmotor-equipment",

    flags = {"goes-to-main-inventory"},

    subgroup = "munitions",

    order = "d[combat]-e[equipment]-d[exoskeleton]-a[Fieldmotor-equipment]",

    stack_size = 10

  },
  {
    type = "item",

    name = "Funnel-Bit-catapult-equipment",

    icon = "__Mobile-suit__/graphics/icons/funnel-bit-catapult-equipment.png",

    placed_as_equipment_result = "Funnel-Bit-catapult-equipment",

    flags = {"goes-to-main-inventory"},

    subgroup = "munitions",

    order = "d[combat]-e[equipment]-e[robotics]-a[Funnel-Bit-catapult-equipment]",

    stack_size = 5

  },
  {
    type = "item",

    name = "ZEONIC",

    icon = "__Mobile-suit__/graphics/icons/zeonic.png",

    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "b[ZEONIC]",

    place_result = "ZEONIC",

    stack_size = 50

  },

  {
    type = "item",

    name = "Luna-Titanium-Alloy",

    icon = "__Mobile-suit__/graphics/icons/luna-titanium-alloy.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "consumer-product",

    order = "a[raw-material]-a[Luna-Titanium-Alloy]",

    stack_size = 100

  },


  {

    type = "item",

    name = "Minovsky-reactor-A-parts",

    icon = "__Mobile-suit__/graphics/icons/minovsky-reactor-a-parts.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "b[energy]-a[Minovsky-reactor]-a[Minovsky-reactor-A-parts]",

    place_result = "Minovsky-reactor-A-parts",

    stack_size = 50

  },



  {

    type = "item",

    name = "Minovsky-reactor-B-parts",

    icon = "__Mobile-suit__/graphics/icons/minovsky-reactor-b-parts.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "b[energy]-a[Minovsky-reactor]-b[Minovsky-reactor-B-parts]",

    place_result = "Minovsky-reactor-B-parts",

    stack_size = 50

  },

  {

    type = "item",

    name = "Minovsky-reactor-C-parts",

    icon = "__Mobile-suit__/graphics/icons/minovsky-reactor-c-parts.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "b[energy]-a[Minovsky-reactor]-c[Minovsky-reactor-C-parts]",

    place_result = "Minovsky-reactor-C-parts",

    stack_size = 50

  },
  {
    type = "item",

    name = "Minovsky-reactor-D-parts",

    icon = "__Mobile-suit__/graphics/icons/minovsky-reactor-d-parts.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "b[energy]-a[Minovsky-reactor]-d[Minovsky-reactor-D-parts]",

    place_result = "Minovsky-reactor-D-parts",

    stack_size = 50

  },

  {
    type = "item",

    name = "Minovsky-reactor-E-parts",

    icon = "__Mobile-suit__/graphics/icons/minovsky-reactor-e-parts.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "b[energy]-a[Minovsky-reactor]-e[Minovsky-reactor-E-parts]",

    place_result = "Minovsky-reactor-E-parts",

    stack_size = 50

  },

  {
    type = "item",

    name = "Hydrogen-gas",

    icon = "__Mobile-suit__/graphics/icons/hydrogen-gas.png",

    flags = {"goes-to-main-inventory"},

    fuel_value = "10MJ",

    subgroup = "electrolysis",

    order = "a[Hydrogen-gas]",

    stack_size = 50

  },

  {

    type = "item",

    name = "Mega-particle-Cannon-turret",

    icon = "__Mobile-suit__/graphics/icons/mega-particle-cannon-turret.png",

    flags = {"goes-to-quickbar"},

    subgroup = "munitions",

    order = "d[combat]-f[defensive-structure]-a[turret]-a[Mega-particle-Cannon-turret]",

    place_result = "Mega-particle-Cannon-turret",

    stack_size = 50

  },

  {

    type = "item",

    name = "Diffusion-Mega-particle-Cannon-turret",

    icon = "__Mobile-suit__/graphics/icons/diffusion-mega-particle-cannon-turret.png",

    flags = {"goes-to-quickbar"},

    subgroup = "munitions",

    order = "d[combat]-f[defensive-structure]-a[turret]-b[Diffusion-Mega-particle-Cannon-turret]",

    place_result = "Diffusion-Mega-particle-Cannon-turret",

    stack_size = 50

  },
  {
    type = "item",

    name = "Minovsky-interference-wave-analysis-system",

    icon = "__Mobile-suit__/graphics/icons/minovsky-interference-wave-analysis-system.png",

    flags = {"goes-to-quickbar"},

    subgroup = "munitions",

    order = "d[combat]-f[defensive-structure]-d[radar]-a[Minovsky-interference-wave-analysis-system]",

    place_result = "Minovsky-interference-wave-analysis-system",

    stack_size = 50

  },


  {

    type = "item",

    name = "Microwave-electric-power-transmission-system",

    icon = "__Mobile-suit__/graphics/icons/microwave-electric-power-transmission-system.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "c[energy-pipe-distribution]-a[Microwave-electric-power-transmission-system]",

    place_result = "Microwave-electric-power-transmission-system",

    stack_size = 50

  },
  {
    type = "item",

    name = "Elemental-converter",

    icon = "__Mobile-suit__/graphics/icons/Elemental-converter/elemental-converter.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "d[production-machine]-a[Elemental converter]",

    place_result = "Elemental-converter",

    stack_size = 50

  },
  {

    type = "item",

    name = "Trebuchet",

    icon = "__Mobile-suit__/graphics/icons/trebuchet.png",

    flags = {"goes-to-quickbar"},

    subgroup = "defensive-structure",

    order = "b[turret]-e[Trebuchet]",

    place_result = "Trebuchet",

    stack_size = 50

  },

  {

    type = "ammo",

    name = "stone-balls",

    icon = "__Mobile-suit__/graphics/icons/stone-balls.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "Trebuchet",

      action =
    
  {

        type = "direct",

        action_delivery =

        {

          type = "projectile",

          projectile = "stone-balls",

          starting_speed = 1,

          direction_deviation = 0.1,

          range_deviation = 0.1,

          max_range = 20,

        }

      }

    },

    subgroup = "ammo",

    order = "g[Trebuchet]-a[stone-balls]",

    stack_size = 100

  },

  {

    type = "ammo",

    name = "grenade",

    icon = "__Mobile-suit__/graphics/icons/grenade.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "Trebuchet",

      action =

      {

        type = "direct",

        action_delivery =

        {

          type = "projectile",

          projectile = "basic-grenade",

          starting_speed = 1,

          direction_deviation = 0.1,

          range_deviation = 0.1,

          max_range = 20,

        }

      },

    },

    subgroup = "ammo",

    order = "g[Trebuchet]-b[grenade]",

    stack_size = 100

  },

  {

    type = "ammo",

    name = "poison-balls",

    icon = "__Mobile-suit__/graphics/icons/poison-balls.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "Trebuchet",

      action =

      {

        type = "direct",

        action_delivery =

        {

          type = "projectile",

          projectile = "poison-capsule",

          starting_speed = 1,

          direction_deviation = 0.1,

          range_deviation = 0.1,

          max_range = 20,

        }

      },

    },

    subgroup = "ammo",

    order = "g[Trebuchet]-c[poison-balls]",

    stack_size = 100

  },

  {

    type = "ammo",

    name = "slowdown-balls",

    icon = "__Mobile-suit__/graphics/icons/slowdown-balls.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "Trebuchet",

      action =

      {

        type = "direct",

        action_delivery =

        {

          type = "projectile",

          projectile = "slowdown-capsule",

          starting_speed = 1,

          direction_deviation = 0.1,

          range_deviation = 0.1,

          max_range = 20,

        }

      },

    },

    subgroup = "ammo",

    order = "g[Trebuchet]-d[slowdown-balls]",

    stack_size = 100

  },
  {
    type = "item",

    name = "Alien-farm",

    icon = "__Mobile-suit__/graphics/icons/alien-farm.png",

    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "g[etcetera]-a[Alien-farm]",

    place_result = "Alien-farm",

    stack_size = 50

  },

  {

    type = "capsule",

    name = "Alien's-egg",

    icon = "__Mobile-suit__/graphics/icons/alien's-egg.png",

    flags = {"goes-to-quickbar"},

    capsule_action =

    {

      type = "throw",

      attack_parameters =

      {

        type = "projectile",

        ammo_category = "capsule",

        cooldown = 30,

        projectile_creation_distance = 0.6,

        range = 25,

        ammo_type =

        {

          category = "capsule",

          target_type = "position",

          action =

          {

            type = "direct",

            action_delivery =

            {

              type = "projectile",

              projectile = "A-herd-of-Aliens",

              starting_speed = 0.3

            }

          }

        }

      }

    },

    subgroup = "capsule",

    order = "i[Alien's-egg]-a[A-herd-of-Aliens]",

    stack_size = 100

  },

  {

    type = "ammo",

    name = "Alien-summons-balls",

    icon = "__Mobile-suit__/graphics/icons/alien-summons-balls.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "Trebuchet",

      action =

      {

        type = "direct",

        action_delivery =

        {

          type = "projectile",

          projectile = "A-herd-of-Aliens",

          starting_speed = 1,

          direction_deviation = 0.1,

          range_deviation = 0.1,

          max_range = 20,

        }

      },

    },

    subgroup = "ammo",

    order = "g[Trebuchet]-e[Alien-summons-balls]",

    stack_size = 100

  },
  {

    type = "ammo",

    name = "Toxic-gas-tank",

    icon = "__Mobile-suit__/graphics/icons/toxic-gas-tank.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "flame-thrower",

      target_type = "direction",

      action =

      {

        type = "direct",

        action_delivery =

        {

          type = "projectile",

          projectile = "Toxic-gas-diffusion-projectile",

          starting_speed = 0.1,


          direction_deviation = 1,

          range_deviation = 1.5,
          max_range = 15,

        }

      }

    },

    magazine_size = 100,

    subgroup = "ammo",

    order = "e[flame-thrower]-b[Toxic-gas-tank]",

    stack_size = 100

  },
  {

    type = "armor",

    name = "chemical-protective-clothing",

    icon = "__Mobile-suit__/graphics/icons/chemical-protective-clothing.png",

    flags = {"goes-to-main-inventory"},

    resistances =

    {

      {
        type = "poison",
        decrease = 100,
        percent = 100
      },

      {
        type = "acid",
        decrease = 100,
        percent = 100
      }
    },

    durability = 1000,

    subgroup = "armor",

    order = "a[basic-armor]-b[chemical-protective-clothing]",

    stack_size = 10

  },
  {
    type = "item",

    name = "afforested-area",

    icon = "__Mobile-suit__/graphics/icons/afforested-area.png",

    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "g[etcetera]-b[afforested-area]",

    place_result = "afforested-area",

    stack_size = 50

  }
,
  {

    type = "item",

    name = "firewood",

    icon = "__Mobile-suit__/graphics/icons/firewood.png",

    flags = {"goes-to-main-inventory"},

    fuel_value = "4MJ",

    subgroup = "raw-material",

    order = "a[firewood]",

    stack_size = 100

  },
  {
    type = "item",

    name = "residential-street",

    icon = "__Mobile-suit__/graphics/icons/residential-street.png",

    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "g[etcetera]-c[residential-street]",

    place_result = "residential-street",

    stack_size = 50

  }
,
  {
    type = "item",

    name = "school",

    icon = "__Mobile-suit__/graphics/icons/school.png",

    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "g[etcetera]-d[school]",

    place_result = "school",

    stack_size = 50

  }
,
  {
    type = "item",

    name = "boot-camp",

    icon = "__Mobile-suit__/graphics/icons/boot-camp.png",

    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "g[etcetera]-e[boot-camp]",

    place_result = "boot-camp",

    stack_size = 50

  }
,
  {
    type = "item",

    name = "farm",

    icon = "__Mobile-suit__/graphics/icons/farm.png",

    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "g[etcetera]-f[farm]",

    place_result = "farm",

    stack_size = 50

  }
,
  {
    type = "item",

    name = "pillbox",

    icon = "__Mobile-suit__/graphics/icons/pillbox.png",

    flags = {"goes-to-quickbar"},

    subgroup = "defensive-structure",

    order = "b[turret]-f[pillbox]",

    place_result = "pillbox",

    stack_size = 50

  }
,
  {

    type = "item",

    name = "child",

    icon = "__Mobile-suit__/graphics/icons/child.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "residential-street",

    order = "a[child]",

    stack_size = 100

  }
,
  {

    type = "item",

    name = "laborer",

    icon = "__Mobile-suit__/graphics/icons/laborer.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "school",

    order = "a[laborer]",

    stack_size = 100

  }
,
  {

    type = "item",

    name = "tired-laborer",

    icon = "__Mobile-suit__/graphics/icons/tired-laborer.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "school",

    order = "b[tired-laborer]",

    stack_size = 100

  }
,
  {

    type = "item",

    name = "soldier",

    icon = "__Mobile-suit__/graphics/icons/soldier.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "boot-camp",

    order = "a[soldier]",

    stack_size = 100

  }
,
  {

    type = "item",

    name = "sergeant",

    icon = "__Mobile-suit__/graphics/icons/sergeant.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "boot-camp",

    order = "b[sergeant]",

    stack_size = 100

  }
,
  {

    type = "item",

    name = "tired-sergeant",

    icon = "__Mobile-suit__/graphics/icons/tired-sergeant.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "boot-camp",

    order = "c[tired-sergeant]",

    stack_size = 100

  }
,
  {

    type = "item",

    name = "food",

    icon = "__Mobile-suit__/graphics/icons/food.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "farm",

    order = "a[food]",

    stack_size = 100

  }
,
  {

    type = "item",

    name = "whiskey",

    icon = "__Mobile-suit__/graphics/icons/whiskey.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "farm",

    order = "b[whiskey]",

    stack_size = 100

  },
  {

    type = "capsule",

    name = "Revenge-device-of-Zabi",

    icon = "__Mobile-suit__/graphics/icons/revenge-device-of-zabi.png",

    flags = {"goes-to-quickbar"},

    capsule_action =

    {

      type = "throw",

      attack_parameters =

      {

        type = "projectile",

        ammo_category = "capsule",

        cooldown = 30,

        projectile_creation_distance = 0.6,

        range = 25,

        ammo_type =

        {

          category = "capsule",

          target_type = "position",

          action =

          {

            type = "direct",

            action_delivery =

            {

              type = "projectile",

              projectile = "Revenge-device-of-Zabi-capsule",

              starting_speed = 0.3

            }

          }

        }

      }

    },

    subgroup = "munitions",

    order = "d[combat]-c[capsule]-a[Revenge-device-of-Zabi]",

    stack_size = 100

  },
  {

    type = "capsule",

    name = "destroyer-capsule-expect",

    icon = "__Mobile-suit__/graphics/icons/destroyer-capsule-expect.png",

    flags = {"goes-to-quickbar"},

    capsule_action =

    {

      type = "throw",

      attack_parameters =

      {

        type = "projectile",

        ammo_category = "capsule",

        cooldown = 30,

        projectile_creation_distance = 0.6,

        range = 25,

        ammo_type =

        {

          category = "capsule",

          target_type = "position",

          action =

          {

            type = "direct",

            action_delivery =

            {

              type = "projectile",

              projectile = "destroyer-capsule-expect",

              starting_speed = 0.3

            }

          }

        }

      }

    },

    subgroup = "capsule",

    order = "g[destroyer-capsule-expect]",

    stack_size = 100

  },
  {
    type = "item",

    name = "tradingpost",

    icon = "__Mobile-suit__/graphics/icons/tradingpost.png",

    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "g[etcetera]-g[tradingpost]",

    place_result = "tradingpost",

    stack_size = 50

  }
,
  {
    type = "item",

    name = "beads",

    icon = "__Mobile-suit__/graphics/icons/beads.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "raw-material",

    order = "h[beads]",

    stack_size = 200

  },

  {

    type = "item",

    name = "wooden-wall",

    icon = "__Mobile-suit__/graphics/icons/wooden-wall.png",

    flags = {"goes-to-quickbar"},

    fuel_value = "4MJ",

    subgroup = "defensive-structure",

    order = "a[wall]-a[wooden-wall]",

    place_result = "wooden-wall",

    stack_size = 50

  },

  {

    type = "item",

    name = "offensive-wall",

    icon = "__Mobile-suit__/graphics/icons/offensive-wall.png",

    flags = {"goes-to-quickbar"},

    subgroup = "defensive-structure",

    order = "a[wall]-d[offensive-wall]",

    place_result = "offensive-wall",

    stack_size = 50

  },

  {

    type = "capsule",

    name = "guardian-capsule",

    icon = "__Mobile-suit__/graphics/icons/guardian-capsule.png",

    flags = {"goes-to-quickbar"},

    capsule_action =

    {

      type = "throw",

      attack_parameters =

      {

        type = "projectile",

        ammo_category = "capsule",

        cooldown = 30,

        projectile_creation_distance = 0.6,

        range = 25,

        ammo_type =
        {

          category = "capsule",

          target_type = "position",

          action =

          {

            type = "direct",

            action_delivery =
            {
              type = "projectile",
              projectile = "guardian-capsule",
              starting_speed = 0.3

            }

          }
        }
      }

    },
    subgroup = "capsule",
    order = "h[guardian-capsule]",

    stack_size = 100

  },
  {

    type = "capsule",

    name = "small-worm-capsule",

    icon = "__Mobile-suit__/graphics/icons/small-worm-capsule.png",

    flags = {"goes-to-quickbar"},

    capsule_action =

    {

      type = "throw",

      attack_parameters =

      {

        type = "projectile",

        ammo_category = "capsule",

        cooldown = 30,

        projectile_creation_distance = 0.6,

        range = 25,

        ammo_type =

        {

          category = "capsule",

          target_type = "position",

          action =

          {

            type = "direct",

            action_delivery =

            {

              type = "projectile",

              projectile = "tame-small-worm-projectile",

              starting_speed = 0.3

            }

          }

        }

      }

    },

    subgroup = "capsule",

    order = "j[worm-capsule]-a[small-worm-capsule]",

    stack_size = 100

  },
  {

    type = "capsule",

    name = "medium-worm-capsule",

    icon = "__Mobile-suit__/graphics/icons/medium-worm-capsule.png",

    flags = {"goes-to-quickbar"},

    capsule_action =

    {

      type = "throw",

      attack_parameters =

      {

        type = "projectile",

        ammo_category = "capsule",

        cooldown = 30,

        projectile_creation_distance = 0.6,

        range = 25,

        ammo_type =

        {

          category = "capsule",

          target_type = "position",

          action =

          {

            type = "direct",

            action_delivery =

            {

              type = "projectile",

              projectile = "tame-medium-worm-projectile",

              starting_speed = 0.3

            }

          }

        }

      }

    },

    subgroup = "capsule",

    order = "j[worm-capsule]-b[tame-medium-worm-capsule]",

    stack_size = 100

  },

  {

    type = "capsule",

    name = "big-worm-capsule",

    icon = "__Mobile-suit__/graphics/icons/big-worm-capsule.png",

    flags = {"goes-to-quickbar"},

    capsule_action =

    {

      type = "throw",

      attack_parameters =

      {

        type = "projectile",

        ammo_category = "capsule",

        cooldown = 30,

        projectile_creation_distance = 0.6,

        range = 25,

        ammo_type =

        {

          category = "capsule",

          target_type = "position",

          action =

          {

            type = "direct",

            action_delivery =

            {

              type = "projectile",

              projectile = "tame-big-worm-projectile",

              starting_speed = 0.3

            }

          }

        }

      }

    },

    subgroup = "capsule",

    order = "j[worm-capsule]-c[tame-big-worm-capsule]",

    stack_size = 100

  },

  {

    type = "capsule",

    name = "behemoth-worm-capsule",

    icon = "__Mobile-suit__/graphics/icons/behemoth-worm-capsule.png",

    flags = {"goes-to-quickbar"},

    capsule_action =

    {

      type = "throw",

      attack_parameters =

      {

        type = "projectile",

        ammo_category = "capsule",

        cooldown = 30,

        projectile_creation_distance = 0.6,

        range = 25,

        ammo_type =

        {

          category = "capsule",

          target_type = "position",

          action =

          {

            type = "direct",

            action_delivery =

            {

              type = "projectile",

              projectile = "tame-behemoth-worm-projectile",

              starting_speed = 0.3

            }

          }

        }

      }

    },

    subgroup = "capsule",

    order = "j[worm-capsule]-d[tame-behemoth-worm-capsule]",

    stack_size = 100

  },
  {

    type = "item",

    name = "pitfall",

    icon = "__Mobile-suit__/graphics/icons/pitfall.png",

    flags = {"goes-to-quickbar"},

    damage_radius = 5,

    fuel_value = "1MJ",

    subgroup = "gun",

    order = "f[land-mine]-a[pitfall]",

    place_result = "pitfall",

    stack_size = 100,

    trigger_radius = 1

  },

  {

    type = "item",

    name = "abatis",

    icon = "__Mobile-suit__/graphics/icons/abatis.png",

    flags = {"goes-to-quickbar"},

    damage_radius = 5,

    fuel_value = "1MJ",

    subgroup = "gun",

    order = "f[land-mine]-b[abatis]",

    place_result = "abatis",

    stack_size = 100,

    trigger_radius = 1

  },
  {
    type = "item",

    name = "fish-pond",

    icon = "__Mobile-suit__/graphics/icons/fish-pond.png",

    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "g[etcetera]-h[fish-pond]",

    place_result = "fish-pond",

    stack_size = 50

  }
,
  {
    type = "capsule",

    name = "grilled-fish",

    icon = "__Mobile-suit__/graphics/icons/grilled-fish.png",

    flags = {"goes-to-quickbar"},

    capsule_action =

    {

      type = "use-on-self",

      attack_parameters =
      {
        type = "projectile",

        ammo_category = "capsule",

        cooldown = 30,

        range = 0,

        ammo_type =
        {

          category = "capsule",

          target_type = "position",

          action =
          {
            type = "direct",
            action_delivery =
            {

              type = "instant",

              target_effects =

              {

                type = "damage",

                damage = {type = "physical", amount = -40}

              }

            }

          }
        }

      }
    },

    subgroup = "raw-resource",

    order = "f-e-b",

    stack_size = 100

  },
  {
    type = "item",

    name = "burner-assembling-machine",

    icon = "__Mobile-suit__/graphics/icons/burner-assembling-machine.png",
    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "a[assembling-machine]-a[burner-assembling-machine]",

    place_result = "burner-assembling-machine",

    stack_size = 50

  },


  {

    type = "item",

    name = "M'qube's-ADZAM",

    icon = "__Mobile-suit__/graphics/icons/M'qube's-ADZAM.png",

    flags = {"goes-to-quickbar"},

    subgroup = "munitions",
    order = "a[logistics]-e[transport]-b[personal-transport]-a[M'qube's-ADZAM]",
    place_result = "M'qube's-ADZAM",
    stack_size = 1

  },
  {

    type = "gun",

    name = "ADZAM-Mega-particle-Cannon",

    icon = "__Mobile-suit__/graphics/icons/ADZAM-Mega-particle-Cannon.png",

    flags = {"goes-to-main-inventory", "hidden"},

    attack_parameters =

    {

      type = "beam",

      ammo_category = "ADZAM-Mega-particle-Cannon",

      damage_modifier = 20,

      cooldown = 2,

      range = 60

    },
    subgroup = "munitions",

    order = "d[combat]-a[gun]-e[ADZAM-Mega-particle-Cannon]",

    stack_size = 1

  },

  {

    type = "gun",

    name = "ADZAM-electromagnetic-wave-generator-catapult",

    icon = "__Mobile-suit__/graphics/icons/ADZAM-electromagnetic-wave-generator.png",

    flags = {"goes-to-main-inventory", "hidden"},

    attack_parameters =

    {

      type = "projectile",

      ammo_category = "ADZAM-electromagnetic-wave-generator",

      cooldown = 60,

      projectile_center = {0, 0},

      projectile_creation_distance = 0.95,

      range = 1

    },
    subgroup = "munitions",

    order = "d[combat]-a[gun]-f[ADZAM-electromagnetic-wave-generator-catapult]",

    stack_size = 1

  },

  {

    type = "ammo",

    name = "ADZAM-Mega-particle-Cannon-energy-pack",

    icon = "__Mobile-suit__/graphics/icons/ADZAM-Mega-particle-Cannon-energy-pack.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "ADZAM-Mega-particle-Cannon",

      action =

      {

        type = "area",

        perimeter = 60,

        force = "enemy",

        action_delivery =

        {

          type = "beam",

          beam = "Diffusion-Mega-particle-Cannon-beam",

          max_length = 60,

          duration = 60 * 2,

          source_offset = {0, 0}

        }

      }

    },

    magazine_size = 100,

    subgroup = "munitions",

    order = "d[combat]-b[ammo]-h[ADZAM-Mega-particle-Cannon-energy-pack]",

    stack_size = 100

  },

  {

    type = "ammo",

    name = "ADZAM-electromagnetic-wave-generator",

    icon = "__Mobile-suit__/graphics/icons/ADZAM-electromagnetic-wave-generator.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "ADZAM-electromagnetic-wave-generator",

      target_type = "direction",

      action =

      {

        type = "direct",

        action_delivery =

        {

          type = "projectile",

          projectile = "ADZAM-electromagnetic-wave-generator-projectile",

          starting_speed = 1,
          max_range = 1

        }

      }

    },

    subgroup = "munitions",

    order = "d[combat]-b[ammo]-i[ADZAM-electromagnetic-wave-generator]",

    stack_size = 100

  },

  {

    type = "item",

    name = "ADZAM-base",

    icon = "__Mobile-suit__/graphics/icons/ADZAM-base.png",

    flags = {"goes-to-quickbar"},

    subgroup = "munitions",

    order = "d[combat]-f[defensive-structure]-a[turret]-c[ADZAM-base]",

    place_result = "ADZAM-base",

    stack_size = 50

  },
  {

    type = "item",

    name = "logistic-ADZAM",

    icon = "__Mobile-suit__/graphics/icons/logistic-ADZAM.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "a[logistics]-f[logistic-network]-a[robot]-a[logistic-ADZAM]",

    place_result = "logistic-ADZAM",

    stack_size = 50

  },
  {

    type = "item",

    name = "construction-ADZAM",

    icon = "__Mobile-suit__/graphics/icons/construction-ADZAM.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "a[logistics]-f[logistic-network]-a[robot]-b[construction-ADZAM]",

    place_result = "construction-ADZAM",

    stack_size = 50

  },
  {
    type = "item",

    name = "cherry-tree",

    icon = "__Mobile-suit__/graphics/icons/cherry-tree.png",
    flags = {"goes-to-quickbar"},

    subgroup = "afforested-area",

    order = "b[tree]-a[cherry-tree]",

    place_result = "cherry-tree",

    stack_size = 50

  },
  {

    type = "item",

    name = "moss-phlox",

    icon = "__Mobile-suit__/graphics/icons/terrain/moss-phlox.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "d[grass]-a[moss-phlox]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "moss-phlox",
      condition_size = 4,      condition = { "water-tile" }    }

  },

  {

    type = "item",

    name = "grass-bright",

    icon = "__Mobile-suit__/graphics/icons/terrain/grass-bright.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "d[grass]-b[grass-bright]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "grass-bright",
      condition_size = 4

,      condition = { "water-tile" }    }

  },

  {

    type = "item",

    name = "red-brick-path",

    icon = "__Mobile-suit__/graphics/icons/terrain/red-brick-path.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "e[path]-a[red-brick-path]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "red-brick-path",
      condition_size = 4

,      condition = { "water-tile" }    }

  },

  {

    type = "item",

    name = "asphalt",

    icon = "__Mobile-suit__/graphics/icons/terrain/asphalt.png",

    flags = {"goes-to-main-inventory"},

    fuel_value = "8MJ",

    subgroup = "terrain",
    order = "e[path]-b[asphalt]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "asphalt",
      condition_size = 4

,      condition = { "water-tile" }    }

  },

  {

    type = "item",

    name = "iron-path",

    icon = "__Mobile-suit__/graphics/icons/terrain/iron-path.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "e[path]-c[iron-path]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "iron-path",
      condition_size = 4

,      condition = { "water-tile" }    }

  },

  {

    type = "item",

    name = "linear-path",

    icon = "__Mobile-suit__/graphics/icons/terrain/linear-path.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "e[path]-d[linear-path]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "linear-path",
      condition_size = 4

,      condition = { "water-tile" }    }

  },

  {

    type = "item",

    name = "color-concrete-black",

    icon = "__Mobile-suit__/graphics/icons/terrain/black.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "f[color]-a[black]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "black",
      condition_size = 4

,      condition = { "water-tile" }    }

  },

  {

    type = "item",

    name = "color-concrete-white",

    icon = "__Mobile-suit__/graphics/icons/terrain/white.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "f[color]-b[white]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "white",
      condition_size = 4

,      condition = { "water-tile" }    }

  },

  {

    type = "item",

    name = "color-concrete-red",

    icon = "__Mobile-suit__/graphics/icons/terrain/red.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "f[color]-c[red]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "red",
      condition_size = 4

,      condition = { "water-tile" }    }

  },

  {

    type = "item",

    name = "color-concrete-yellow",

    icon = "__Mobile-suit__/graphics/icons/terrain/yellow.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "f[color]-d[yellow]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "yellow",
      condition_size = 4

,      condition = { "water-tile" }    }

  },

  {

    type = "item",

    name = "color-concrete-green",

    icon = "__Mobile-suit__/graphics/icons/terrain/green.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "f[color]-e[green]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "green",
      condition_size = 4

,      condition = { "water-tile" }    }

  },

  {

    type = "item",

    name = "color-concrete-cyan",

    icon = "__Mobile-suit__/graphics/icons/terrain/cyan.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "f[color]-f[cyan]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "cyan",
      condition_size = 4

,      condition = { "water-tile" }    }

  },

  {

    type = "item",

    name = "color-concrete-blue",

    icon = "__Mobile-suit__/graphics/icons/terrain/blue.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "f[color]-g[blue]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "blue",
      condition_size = 4

,      condition = { "water-tile" }    }

  },

  {

    type = "item",

    name = "color-concrete-magenta",

    icon = "__Mobile-suit__/graphics/icons/terrain/magenta.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "f[color]-h[magenta]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "magenta",
      condition_size = 4

,      condition = { "water-tile" }    }

  },

  {

    type = "item",

    name = "grass-tile",

    icon = "__Mobile-suit__/graphics/icons/terrain/grass.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "c[terrain]-a[grass]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "grass",
      condition_size = 4

,      condition = {}    }

  },

  {

    type = "item",

    name = "grass-medium-tile",

    icon = "__Mobile-suit__/graphics/icons/terrain/grass-medium.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "c[terrain]-b[grass-medium]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "grass-medium",
      condition_size = 4

,      condition = {}    }

  },

  {

    type = "item",

    name = "grass-dry-tile",

    icon = "__Mobile-suit__/graphics/icons/terrain/grass-dry.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "c[terrain]-c[grass-dry]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "grass-dry",
      condition_size = 4

,      condition = {}    }

  },

  {

    type = "item",

    name = "dirt-tile",

    icon = "__Mobile-suit__/graphics/icons/terrain/dirt.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "c[terrain]-d[dirt]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "dirt",
      condition_size = 4

,      condition = {}    }

  },

  {

    type = "item",

    name = "dirt-dark-tile",

    icon = "__Mobile-suit__/graphics/icons/terrain/dirt-dark.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "c[terrain]-e[dirt-dark]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "dirt-dark",
      condition_size = 4

,      condition = {}    }

  },

  {

    type = "item",

    name = "sand-tile",

    icon = "__Mobile-suit__/graphics/icons/terrain/sand.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "c[terrain]-f[sand]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "sand",
      condition_size = 4

,      condition = {}    }

  },

  {

    type = "item",

    name = "sand-dark-tile",

    icon = "__Mobile-suit__/graphics/icons/terrain/sand-dark.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "c[terrain]-g[sand-dark]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "sand-dark",
      condition_size = 4

,      condition = {}    }

  },

  {

    type = "item",

    name = "water-tile",

    icon = "__Mobile-suit__/graphics/icons/terrain/water.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "c[terrain]-h[water]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "water",
      condition_size = 4

,      condition = {}    }

  },
  {

    type = "item",

    name = "water-green-tile",

    icon = "__Mobile-suit__/graphics/icons/terrain/water-green.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "c[terrain]-i[water-green]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "water-green",
      condition_size = 4

,      condition = {}    }

  },
  {

    type = "item",

    name = "deepwater-tile",

    icon = "__Mobile-suit__/graphics/icons/terrain/deepwater.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "c[terrain]-j[deepwater]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "deepwater",
      condition_size = 4

,      condition = {}    }

  },
  {

    type = "item",

    name = "deepwater-green-tile",

    icon = "__Mobile-suit__/graphics/icons/terrain/deepwater-green.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "terrain",
    order = "c[terrain]-k[deepwater-green]",
    stack_size = 1000,

    place_as_tile =
    {
      result = "deepwater-green",
      condition_size = 4

,      condition = {}    }

  },

  {

    type = "item",

    name = "burner-lab",

    icon = "__Mobile-suit__/graphics/icons/burner-lab.png",
    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "e[lab]-a[burner-lab]",

    place_result = "burner-lab",
    stack_size = 10
  },

  {

    type = "item",

    name = "burner-pumpjack",

    icon = "__Mobile-suit__/graphics/icons/burner-pumpjack.png",

    flags = {"goes-to-quickbar"},
    subgroup = "extraction-machine",

    order = "b[fluids]-b[pumpjack]-a[burner-pumpjack]",

    place_result = "burner-pumpjack",

    stack_size = 20

  },

  {

    type = "item",

    name = "burner-oil-refinery",

    icon = "__Mobile-suit__/graphics/icons/burner-oil-refinery.png",

    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "c[oil-refinery]-a[burner-oil-refinery]",

    place_result = "burner-oil-refinery",

    stack_size = 10

  },

  {

    type = "item",

    name = "burner-chemical-plant",

    icon = "__Mobile-suit__/graphics/icons/burner-chemical-plant.png",

    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "d[chemical-plant]-a[burner-chemical-plant]",

    place_result = "burner-chemical-plant",

    stack_size = 10

  },
  {

    type = "item",

    name = "storehouse",

    icon = "__Mobile-suit__/graphics/icons/storehouse.png",
    flags = {"goes-to-quickbar"},

    subgroup = "storage",
    order = "a[items]-d[storehouse]",

    place_result = "storehouse",

    stack_size = 50
  },
  {
    type = "item",

    name = "moneychanger",

    icon = "__Mobile-suit__/graphics/icons/moneychanger.png",

    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "f[trade]-a[moneychanger]",

    place_result = "moneychanger",

    stack_size = 50

  },

  {

    type = "item",

    name = "1cr",

    icon = "__Mobile-suit__/graphics/icons/1coin.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "b[production]-g[coin]-a[1cr]",

    stack_size = 500

  },
  {

    type = "item",

    name = "10cr",

    icon = "__Mobile-suit__/graphics/icons/10coin.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "b[production]-g[coin]-b[10cr]",

    stack_size = 500

  },
  {

    type = "item",

    name = "100cr",

    icon = "__Mobile-suit__/graphics/icons/100coin.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "b[production]-g[coin]-c[100cr]",

    stack_size = 500

  },
  {

    type = "item",

    name = "1Kcr",

    icon = "__Mobile-suit__/graphics/icons/1Kcoin.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "b[production]-g[coin]-d[1Kcr]",

    stack_size = 500

  },
  {

    type = "item",

    name = "10Kcr",

    icon = "__Mobile-suit__/graphics/icons/10Kcoin.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "b[production]-g[coin]-e[10Kcr]",

    stack_size = 500

  },
  {

    type = "item",

    name = "100Kcr",

    icon = "__Mobile-suit__/graphics/icons/100Kcoin.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "b[production]-g[coin]-f[100Kcr]",

    stack_size = 500

  },
  {

    type = "item",

    name = "1Mcr",

    icon = "__Mobile-suit__/graphics/icons/1Mcoin.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "b[production]-g[coin]-g[1Mcr]",

    stack_size = 500

  },
  {

    type = "item",

    name = "10Mcr",

    icon = "__Mobile-suit__/graphics/icons/10Mcoin.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "b[production]-g[coin]-h[10Mcr]",

    stack_size = 500

  },
  {

    type = "item",

    name = "100Mcr",

    icon = "__Mobile-suit__/graphics/icons/100Mcoin.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "b[production]-g[coin]-i[100Mcr]",

    stack_size = 500

  },
  {

    type = "item",

    name = "1Gcr",

    icon = "__Mobile-suit__/graphics/icons/1Gcoin.png",

    flags = {"goes-to-quickbar"},

    subgroup = "consumer-product",

    order = "b[production]-g[coin]-j[1Gcr]",

    stack_size = 500

  },
  {
    type = "item",

    name = "receiving-and-shipping-workshop",

    icon = "__Mobile-suit__/graphics/icons/receiving-and-shipping-workshop.png",

    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "f[trade]-b[receiving-and-shipping-workshop]",

    place_result = "receiving-and-shipping-workshop",

    stack_size = 50

  },

  {
    type = "item",

    name = "HLV-spaceport",

    icon = "__Mobile-suit__/graphics/icons/HLV-spaceport.png",

    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "f[trade]-c[HLV-spaceport]",

    place_result = "HLV-spaceport",

    stack_size = 50

  },

  {
    type = "item",

    name = "secret-wait-point",

    icon = "__Mobile-suit__/graphics/icons/secret-wait-point.png",

    flags = {"goes-to-quickbar"},

    subgroup = "production-machine",

    order = "f[trade]-d[secret-wait-point]",

    place_result = "secret-wait-point",

    stack_size = 50

  },
  {

    type = "gun",

    name = "GYAN's-missile-shield",

    icon = "__Mobile-suit__/graphics/icons/GYAN's-missile-shield.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "munitions",

    order = "d[combat]-a[gun]-g[GYAN's-missile-shield]",

    attack_parameters =

    {

      type = "projectile",

      ammo_category = "GYAN-shield",

      movement_slow_down_factor = 0.7,

      cooldown = 2,

      range = 30,

      projectile_center = {-0.17, 0},

      sound =      {
        filename = "__base__/sound/fight/rocket-launcher.ogg",        volume = 0.7      }

    },

    stack_size = 1

  },

  {

    type = "ammo",

    name = "needle-missile",

    icon = "__Mobile-suit__/graphics/icons/needle-missile.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "GYAN-shield",

      action =

      {

        type = "direct",

        action_delivery =

        {

          type = "projectile",

          projectile = "rocket",

          starting_speed = 0.2,

          source_effects =

          {

            type = "create-entity",

            entity_name = "explosion-hit"

          }

        }

      }

    },

    magazine_size = 60,

    subgroup = "munitions",

    order = "d[combat]-b[ammo]-j[needle-missile]",

    stack_size = 100

  },

  {

    type = "ammo",

    name = "hide-bomb-container",

    icon = "__Mobile-suit__/graphics/icons/hide-bomb-container.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "GYAN-shield",

      target_type = "direction",

      action =

      {

        type = "direct",

        action_delivery =

        {

          type = "projectile",

          projectile = "hide-bomb-projectile",

          starting_speed = 0.1,

          direction_deviation = 0.5,

          range_deviation = 0.5,

          max_range = 30,

          source_effects =

          {

            type = "create-explosion",

            entity_name = "explosion-hit"

          },

        }

      },

    },

    magazine_size = 10,

    subgroup = "munitions",

    order = "d[combat]-b[ammo]-k[hide-bomb-container]",

    stack_size = 100

  },

  {
    type = "item",

    name = "hide-bomb",

    icon = "__Mobile-suit__/graphics/icons/hide-bomb.png",
    flags = {"goes-to-quickbar"},

    damage_radius = 10,

    subgroup = "munitions",

    order = "d[combat]-b[ammo]-l[hide-bomb]",

    place_result = "hide-bomb",
    stack_size = 100,

    trigger_radius = 5

  },
  {

    type = "gun",

    name = "GYAN's-beam-saber",

    icon = "__Mobile-suit__/graphics/icons/GYAN's-beam-saber.png",

    flags = {"goes-to-main-inventory"},

    subgroup = "munitions",

    order = "d[combat]-a[gun]-h[GYAN's-beam-saber]",

    attack_parameters =

    {

      type = "beam",

      ammo_category = "GYAN's-beam-saber",

      cooldown = 30,

      range = 3
    },

    stack_size = 1

  },

  {

    type = "ammo",

    name = "GYAN's-beam-saber-energy-pack",

    icon = "__Mobile-suit__/graphics/icons/GYAN's-beam-saber-energy-pack.png",

    flags = {"goes-to-main-inventory"},

    ammo_type =

    {

      category = "GYAN's-beam-saber",

      action =

      {

        type = "direct",

        action_delivery =

        {

            type = "beam",

            beam = "GYAN's-beam-saber-beam",

            max_length = 3,

            duration = 60 * 2,

            source_offset = {0.15, -0.5},

        }

      },

    },

    magazine_size = 100,

    subgroup = "munitions",

    order = "d[combat]-b[ammo]-m[GYAN's-beam-saber-energy-pack]",

    stack_size = 100

  }

})